# CommonUser - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types / CommonUser

# CommonUser

(common) `data class CommonUser : User` (source)

### Constructors

(common)

#### <init>

`CommonUser(id: ChatId, firstName: String, lastName: String = "", username: Username? = null, languageCode: String? = null)`

### Properties

(common)

#### firstName

`val firstName: String`

(common)

#### id

`val id: ChatId`

(common)

#### languageCode

`val languageCode: String?`

(common)

#### lastName

`val lastName: String`

(common)

#### username

`val username: Username?`

### Extension Functions

(jvm)

#### javaLocale

`fun CommonUser.javaLocale(): Locale?`